Bug 12350 - unable to compile kernel with egcs/gcc
unable to compile kernel with egcs/gcc
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
high Severity low
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-16 19:01 EDT by none
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 18:01:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description none 2000-06-16 19:01:51 EDT
I get broken pipe on cc1 using gcc-2.95.1 or egcs-1.1 to compile a new 
kernel 2.2.14-5
Comment 1 none 2000-06-16 20:20:53 EDT
clip of error..   usr/src/linux/include/net/sock.h:68: Invalid token in 
expression...
This happens in multiple header headers..and not consistly..
Ever time I compile again it gets a little farther......



[root@sc-24-24-236-182 linux]# make bzImage
gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2 -fomit-f
rame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce -m486 -malign-loops
=2 -malign-jumps=2 -malign-functions=2 -DCPU=586 -DUTS_MACHINE='"i386"' -c -o in
it/version.o init/version.c
make -C  kernel
make[1]: Entering directory `/usr/src/linux-2.2.14/kernel'
make all_targets
make[2]: Entering directory `/usr/src/linux-2.2.14/kernel'
make[2]: Nothing to be done for `all_targets'.
make[2]: Leaving directory `/usr/src/linux-2.2.14/kernel'
make[1]: Leaving directory `/usr/src/linux-2.2.14/kernel'
make -C  drivers
make[1]: Entering directory `/usr/src/linux-2.2.14/drivers'
make -C block
make[2]: Entering directory `/usr/src/linux-2.2.14/drivers/block'
make all_targets
make[3]: Entering directory `/usr/src/linux-2.2.14/drivers/block'
gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2 -fomit-f
rame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce -m486 -malign-loops
=2 -malign-jumps=2 -malign-functions=2 -DCPU=586   -DEXPORT_SYMTAB -c md.c
In file included from /usr/src/linux/include/net/ip.h:39,
                 from /usr/src/linux/include/net/checksum.h:31,
                 from /usr/src/linux/include/linux/raid/md.h:37,
                 from md.c:25:
/usr/src/linux/include/net/sock.h:68: Invalid token in expression
make[3]: *** [md.o] Error 1
make[3]: Leaving directory `/usr/src/linux-2.2.14/drivers/block'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory `/usr/src/linux-2.2.14/drivers/block'
make[1]: *** [_subdir_block] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.14/drivers'
make: *** [_dir_drivers] Error 2
[root@sc-24-24-236-182 linux]#
Comment 2 Alan Cox 2000-08-08 18:01:09 EDT
Sounds like memory corruption given it isnt predictable

Note You need to log in before you can comment on or make changes to this bug.